--- addon/doxywizard/doxywizard.cpp.old	2006-12-07 01:22:06.000000000 -0500
+++ addon/doxywizard/doxywizard.cpp	2006-12-07 01:36:42.000000000 -0500
@@ -899,6 +899,10 @@
   {
     wizard.setOptimizeFor(Lang_C);
   }
+  else if (Config_getBool("CPP_CLI_SUPPORT"))
+  {
+    wizard.setOptimizeFor(Lang_CS);
+  }
   else
   {
     wizard.setOptimizeFor(Lang_Cpp);
@@ -1013,18 +1017,22 @@
       case Lang_Cpp:
         Config_getBool("OPTIMIZE_OUTPUT_FOR_C")=FALSE;
         Config_getBool("OPTIMIZE_OUTPUT_JAVA")=FALSE;
+        Config_getBool("CPP_CLI_SUPPORT")=FALSE;
         break;
       case Lang_Java:
         Config_getBool("OPTIMIZE_OUTPUT_FOR_C")=FALSE;
         Config_getBool("OPTIMIZE_OUTPUT_JAVA")=TRUE;
+        Config_getBool("CPP_CLI_SUPPORT")=FALSE;
         break;
       case Lang_C:
         Config_getBool("OPTIMIZE_OUTPUT_FOR_C")=TRUE;
         Config_getBool("OPTIMIZE_OUTPUT_JAVA")=FALSE;
+        Config_getBool("CPP_CLI_SUPPORT")=FALSE;
         break;
       case Lang_CS:
         Config_getBool("OPTIMIZE_OUTPUT_FOR_C")=FALSE;
-        Config_getBool("OPTIMIZE_OUTPUT_JAVA")=TRUE;
+        Config_getBool("OPTIMIZE_OUTPUT_JAVA")=FALSE;
+        Config_getBool("CPP_CLI_SUPPORT")=TRUE;
         Config_getBool("EXTRACT_STATIC")=TRUE;
         Config_getBool("EXTRACT_LOCAL_CLASSES")=TRUE;
         break;
